<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<title>Music All In</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link th:href="@{/img/mini-logo.ico}" rel="icon" type="image/ico" sizes="any">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<link th:href="@{/fonts/fontsAwesome/css/all.css}" rel="stylesheet">
<link th:href="@{/css/style.css}" rel="stylesheet">
<link th:href="@{/css/simple-line-icons.css}" rel="stylesheet">
<link th:href="@{/css/pace.css}" rel="stylesheet">
<link th:href="@{/chartjs/dist/Chart.css}" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.bootstrap4.css" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.buttons.css" rel="stylesheet">
</head>
<body id="sidebar" class="app header-fixed sidebar-fixed aside-menu-fixed sidebar-lg-show">
	<th:block th:include="fragments/header"></th:block>
	<div class="app-body">
		<th:block th:include="fragments/sidebar"></th:block>
		<main class="main">
			<div class="container-fluid">
				<nav aria-label="breadcrumb">
					<ol class="breadcrumb">
						<li class="breadcrumb-item active" aria-current="page">Metrics</li>
					</ol>
				</nav>
                <section class="page-content">
                	<div class="position-relative border-bottom page-title">
                        <h2>Metrics</h2>
                        <div class="position-absolute back-button">
                            <button class="btn btn-primary goto" onclick="history.back(-1)">Back</button>
                        </div>
                    </div>
                    <div class="animated fadeIn">
						<div class="row justify-content-center">
							<div class="col-md-2 text-center">
								<div class="card">
									<div class="card-header text-center">
										<i class="nav-icon fa fa-graduation-cap fa-lg fa-2x" data-toggle="tooltip" title="Number of Students"></i>
								  	</div>
									<div class="card-body">
										<strong><label id="studentsCount" style="font-size:40px;"></label></strong>
									</div>
								</div>
							</div>
							<div class="col-md-2 text-center">
								<div class="card">
									<div class="card-header text-center">
										<i class="nav-icon fa fa-book fa-lg fa-2x" data-toggle="tooltip" title="Number of Subjects"></i>
								  	</div>
									<div class="card-body">
										<strong><label id="subjectsCount" style="font-size:40px;"></label></strong>
									</div>
								</div>
							</div>
							<div class="col-md-2 text-center">
								<div class="card">
									<div class="card-header text-center">
										<i class="nav-icon fas fa-music fa-lg fa-2x" data-toggle="tooltip" title="Number of Instruments"></i>
								  	</div>
									<div class="card-body">
										<strong><label id="instrumentsCount" style="font-size:40px;"></label></strong>
									</div>
								</div>
							</div>
							<div class="col-md-2 text-center">
								<div class="card">
									<div class="card-header text-center">
										<i class="nav-icon fas fa-pencil-alt fa-lg fa-2x" data-toggle="tooltip" title="Number of Inscriptions"></i>
								  	</div>
									<div class="card-body">
										<strong><label id="totalInscriptions" style="font-size:40px;"></label></strong>
									</div>
								</div>
							</div>
							<div class="col-md-2 text-center">
								<div class="card">
									<div class="card-header text-center">
										<i class="nav-icon fas fa-hand-holding-usd fa-lg fa-2x" data-toggle="tooltip" title="Number of Rents"></i>
								  	</div>
									<div class="card-body">
										<strong><label id="totalRentals" style="font-size:40px;"></label></strong>
									</div>
								</div>
							</div>
						</div>
						<div class="row justify-content-center">
							<div class="col-md-4 text-center mt-3">							
								<div class="card">
									<div class="card-header text-center">
										<i class="nav-icon fas fa-cash-register fa-lg fa-3x" data-toggle="tooltip" title="Total in Rents"></i>
								  	</div>
									<div class="card-body">
										<strong><label id="totalRents" style="font-size:56px; color:green;"></label></strong>
									</div>
								</div>
							</div>
						</div>
						<br>
						<div class="row justify-content-center mt-2">
							<div class="col-md-6">
								<div class="card mr-3">
									<div class="card-header text-center">
										Students per Subjects
								  	</div>
									<div class="card-body">
										<canvas id="studentsPerSubject"></canvas>	
									</div>
								</div>
							</div>
							<div class="col-md-6">
								<div class="card">
									<div class="card-header text-center">
										Rents per Instruments
								  	</div>
									<div class="card-body">
										<canvas id="rentsPerInstruments"></canvas>	
									</div>
								</div>	
							</div>
						</div>
						<div class="row justify-content-center mt-2">
							<div class="col-md-12 m-0 p-0">
								<div class="card">
									<div class="card-header text-center">
										Spent money per Student ($)
								  	</div>
									<div class="card-body">
										<canvas id="spentMoneyPerStudent"></canvas>	
									</div>
								</div>
							</div>
						</div>
					</div>
                </section>
			</div>
		</main>
	</div>
	<th:block th:include="fragments/footer"></th:block>
	<script src="../../js/jquery.js"></script>
	<script	src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	<script src="../../datatables/DataTables-1.10.20/js/jquery.dataTables.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.bootstrap4.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.buttons.js"></script>	
	<script src="../../js/pace.js"></script>
	<script src="../../js/jquery.blockUI.js"></script>
	<script src="../../js/action.js"></script>
	<script src="../../js/fragments/sidebar.js"></script>
	<script th:src="@{/chartjs/dist/Chart.js}"></script>
	<script th:src="@{/js/admin/metrics.js}"></script>
</body>
</html>